MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SLES::Engine Class Reference

OO wrapper for an OpenSL/ES SLEngineItf variable. More...

`#include <Engine.hxx>`

## Public Member Functions
| Engine ()=default
| Engine (SLEngineItf _engine)
SLresult | CreateAudioPlayer (SLObjectItf *pPlayer, SLDataSource *pAudioSrc, SLDataSink *pAudioSnk, SLuint32 numInterfaces, const SLInterfaceID *pInterfaceIds, const SLboolean *pInterfaceRequired)
SLresult | CreateOutputMix (SLObjectItf *pMix, SLuint32 numInterfaces, const SLInterfaceID *pInterfaceIds, const SLboolean *pInterfaceRequired)

## Detailed Description

OO wrapper for an OpenSL/ES SLEngineItf variable.

Definition at line 39 of file Engine.hxx.

## Constructor & Destructor Documentation

SLES::Engine::Engine | ( |  | ) |
| default

SLES::Engine::Engine | ( | SLEngineItf | _engine | ) |
| inline explicit

Definition at line 44 of file Engine.hxx.

## Member Function Documentation

SLresult SLES::Engine::CreateAudioPlayer | ( | SLObjectItf * | pPlayer,
|  | SLDataSource * | pAudioSrc,
|  | SLDataSink * | pAudioSnk,
|  | SLuint32 | numInterfaces,
|  | const SLInterfaceID * | pInterfaceIds,
|  | const SLboolean * | pInterfaceRequired
| ) |  |
| inline

Definition at line 46 of file Engine.hxx.

SLresult SLES::Engine::CreateOutputMix | ( | SLObjectItf * | pMix,
|  | SLuint32 | numInterfaces,
|  | const SLInterfaceID * | pInterfaceIds,
|  | const SLboolean * | pInterfaceRequired
| ) |  |
| inline

Definition at line 57 of file Engine.hxx.

The documentation for this class was generated from the following file:

- output/plugins/sles/Engine.hxx